<?php

declare(strict_types=1);

namespace Database\Factories;

use App\Models\Store;
use Illuminate\Database\Eloquent\Factories\Factory;
use Illuminate\Support\Str;

/**
 * @extends Factory<Store>
 */
class StoreFactory extends Factory
{
    protected $model = Store::class;

    /**
     * @return array<string, mixed>
     */
    public function definition(): array
    {
        $name = $this->faker->unique()->company();
        $slug = Str::slug($name);

        return [
            'slug' => $slug,
            'name' => $name,
            'domains' => [$slug.'.com.mx'],
            'aliases' => [$name],
            'is_active' => true,
            'logo_url' => null,
        ];
    }
}
